## aiorpcx 0.25.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = aiorpcX
SOURCEDIR     = .
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## aiorpcx 0.18.4

=== debian/changelog ===
aiorpcx (0.18.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 31 Dec 2019 18:24:47 +0100

aiorpcx (0.18.3-1) unstable; urgency=medium

  * Team upload.
  * Initial release (Closes: #934910)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 06 Sep 2019 08:58:40 +0200

=== debian/control ===
Source: aiorpcx
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.4.1
Homepage: https://github.com/kyuupichan/aiorpcX
Vcs-Browser: https://salsa.debian.org/python-team/modules/aiorpcx
Vcs-Git: https://salsa.debian.org/python-team/modules/aiorpcx.git
Testsuite: autopkgtest-pkg-python

Package: python3-aiorpcx
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-aiorpcx-doc
Description: generic async RPC implementation, including JSON-RPC (Python 3)
 Transport, protocol and framing-independent async RPC client and server
 implementation.
 .
 This package installs the library for Python 3.

Package: python-aiorpcx-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: generic async RPC implementation, including JSON-RPC (documentation)
 Transport, protocol and framing-independent async RPC client and server
 implementation.
 .
 This is the documentation package.

## aiorpcx 0.18.4-1+9.0trisquel1

=== debian/changelog ===
aiorpcx (0.18.4-1+9.0trisquel1) etiona; urgency=medium

  * Backported from debian-testing

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 06 Jan 2020 11:12:26 +0000

## aiorpcx 0.18.5

=== debian/changelog ===
aiorpcx (0.18.5-1) unstable; urgency=low

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-aiorpcx-doc: Add Multi-Arch: foreign.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 30 Dec 2020 19:17:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: aiorpcx
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/kyuupichan/aiorpcX
-Vcs-Browser: https://salsa.debian.org/python-team/modules/aiorpcx
-Vcs-Git: https://salsa.debian.org/python-team/modules/aiorpcx.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/aiorpcx
+Vcs-Git: https://salsa.debian.org/python-team/packages/aiorpcx.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-aiorpcx
@@ -29,6 +29,7 @@
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
+Multi-Arch: foreign
 Description: generic async RPC implementation, including JSON-RPC (documentation)
  Transport, protocol and framing-independent async RPC client and server
  implementation.

## aiorpcx 0.18.5-1+9.0trisquel1

=== debian/changelog ===
aiorpcx (0.18.5-1+9.0trisquel1) etiona; urgency=medium

  * Backported from debian-testing

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 10 Jan 2021 06:35:42 +0000

## aiorpcx 0.18.5-1+10.0trisquel1

=== debian/changelog ===
aiorpcx (0.18.5-1+10.0trisquel1) nabia; urgency=medium

  * Backported from debian-testing

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 22 Jan 2021 18:38:37 +0000

## aiorpcx 0.22.1

=== debian/changelog ===
aiorpcx (0.22.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 19:15:21 +0100

aiorpcx (0.22.1-1) experimental; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 29 Aug 2021 15:54:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/kyuupichan/aiorpcX
 Vcs-Browser: https://salsa.debian.org/python-team/packages/aiorpcx
 Vcs-Git: https://salsa.debian.org/python-team/packages/aiorpcx.git

=== debian/watch ===
version=4
https://github.com/kyuupichan/aiorpcX
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%aiorpcX-$1.tar.gz%" \
   https://github.com/kyuupichan/aiorpcX/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## aiorpcx 0.23.1

=== debian/changelog ===
aiorpcx (0.23.1-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.7.0, no changes needed.

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 11 Jun 2024 12:38:23 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/kyuupichan/aiorpcX
 Vcs-Browser: https://salsa.debian.org/python-team/packages/aiorpcx
 Vcs-Git: https://salsa.debian.org/python-team/packages/aiorpcx.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=aiorpcx

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html # HTML generator

## aiorpcx 0.24

=== debian/changelog ===
aiorpcx (0.24-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.7.2, no changes needed.

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 05 Apr 2025 15:14:23 +0200

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%aiorpcX-$1.tar.gz%" \
https://github.com/kyuupichan/aiorpcX/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## aiorpcx 0.25.0

=== debian/changelog ===
aiorpcx (0.25.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 19 Aug 2025 09:18:45 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/kyuupichan/aiorpcX
 Vcs-Browser: https://salsa.debian.org/python-team/packages/aiorpcx
 Vcs-Git: https://salsa.debian.org/python-team/packages/aiorpcx.git
